## ros-robot-state-publisher 1.13.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(robot_state_publisher)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wextra")

find_package(orocos_kdl REQUIRED)
find_package(catkin REQUIRED
  COMPONENTS roscpp rosconsole rostime tf tf2_ros tf2_kdl kdl_parser
)
find_package(Eigen3 REQUIRED)

find_package(urdfdom_headers REQUIRED)

catkin_package(
  LIBRARIES ${PROJECT_NAME}_solver
  INCLUDE_DIRS include
  DEPENDS roscpp rosconsole rostime tf2_ros tf2_kdl kdl_parser orocos_kdl urdfdom_headers
)

include_directories(SYSTEM ${EIGEN3_INCLUDE_DIRS})
include_directories(include ${catkin_INCLUDE_DIRS} ${orocos_kdl_INCLUDE_DIRS} ${urdfdom_headers_INCLUDE_DIRS})
link_directories(${orocos_kdl_LIBRARY_DIRS})

add_library(${PROJECT_NAME}_solver
  src/robot_state_publisher.cpp src/treefksolverposfull_recursive.cpp
)
target_link_libraries(${PROJECT_NAME}_solver ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

add_library(joint_state_listener src/joint_state_listener.cpp)
target_link_libraries(joint_state_listener ${PROJECT_NAME}_solver ${orocos_kdl_LIBRARIES})

add_executable(${PROJECT_NAME} src/joint_state_listener.cpp)
target_link_libraries(${PROJECT_NAME} ${PROJECT_NAME}_solver ${orocos_kdl_LIBRARIES})

# compile the same executable using the old name as well
add_executable(state_publisher src/joint_state_listener.cpp)
target_link_libraries(state_publisher ${PROJECT_NAME}_solver ${orocos_kdl_LIBRARIES})

# Tests

if (CATKIN_ENABLE_TESTING)

  find_package(rostest REQUIRED)

  add_rostest_gtest(test_one_link ${CMAKE_CURRENT_SOURCE_DIR}/test/test_one_link.launch test/test_one_link.cpp)
  target_link_libraries(test_one_link ${catkin_LIBRARIES} ${PROJECT_NAME}_solver)

  add_rostest_gtest(test_two_links_fixed_joint ${CMAKE_CURRENT_SOURCE_DIR}/test/test_two_links_fixed_joint.launch test/test_two_links_fixed_joint.cpp)
  target_link_libraries(test_two_links_fixed_joint ${catkin_LIBRARIES} ${PROJECT_NAME}_solver)

  add_rostest_gtest(test_two_links_moving_joint ${CMAKE_CURRENT_SOURCE_DIR}/test/test_two_links_moving_joint.launch test/test_two_links_moving_joint.cpp)
  target_link_libraries(test_two_links_moving_joint ${catkin_LIBRARIES} ${PROJECT_NAME}_solver)

   # Download needed data file
  catkin_download_test_data(
    joint_states_indexed_bag
    http://wiki.ros.org/robot_state_publisher/data?action=AttachFile&do=get&target=joint_states_indexed.bag
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/test
    FILENAME joint_states_indexed.bag
    MD5 793e0b566ebe4698265a936b92fa2bba)

  add_rostest_gtest(test_joint_states_bag ${CMAKE_CURRENT_SOURCE_DIR}/test/test_joint_states_bag.launch test/test_joint_states_bag.cpp)
  target_link_libraries(test_joint_states_bag ${catkin_LIBRARIES} ${PROJECT_NAME}_solver)

  add_rostest_gtest(test_subclass ${CMAKE_CURRENT_SOURCE_DIR}/test/test_subclass.launch test/test_subclass.cpp)
  target_link_libraries(test_subclass ${catkin_LIBRARIES} ${PROJECT_NAME}_solver joint_state_listener)

  install(FILES test/one_link.urdf test/pr2.urdf test/two_links_fixed_joint.urdf test/two_links_moving_joint.urdf DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test)

endif()

install(TARGETS ${PROJECT_NAME}_solver joint_state_listener ${PROJECT_NAME} state_publisher
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-robot-state-publisher (1.13.6-7) unstable; urgency=medium

  * Scrap symbols files.
     - Updates of dependencies like boost make the package FTBFS because
       symbols change and we don't want to update the symbols files every time.

 -- Johannes 'josch' Schauer <josch@debian.org>  Wed, 21 Nov 2018 15:17:49 +0100

ros-robot-state-publisher (1.13.6-6) unstable; urgency=medium

  * Strip Debian revision from symbols
  * Update symbols files using pkgkde-symbolshelper
  * Bump policy version
  * Add MA hint
  * Add Build-Depends-Package to symbols

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 Nov 2018 13:03:55 +0100

ros-robot-state-publisher (1.13.6-5) unstable; urgency=medium

  * Add missing dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 12 Jul 2018 23:11:54 +0200

ros-robot-state-publisher (1.13.6-4) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * Add compilation test

  [ Jochen Sprickerhof ]
  * Add librosbag-storage-dev as tests dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 12 Jul 2018 09:36:02 +0200

ros-robot-state-publisher (1.13.6-3) unstable; urgency=medium

  * Update symbols files using pkgkde-symbolshelper

 -- Johannes 'josch' Schauer <josch@debian.org>  Wed, 23 May 2018 15:24:55 +0200

ros-robot-state-publisher (1.13.6-2) unstable; urgency=medium

  * Start using pkgkde-symbolshelper and add pkg-kde-tools to Build-Depends
    and --with pkgkde_symbolshelper to dh invocation in debian/rules
  * Generate initial symbols using pkgkde-symbolshelper

 -- Johannes 'josch' Schauer <josch@debian.org>  Wed, 23 May 2018 13:13:14 +0200

ros-robot-state-publisher (1.13.6-1) unstable; urgency=medium

  * New upstream version 1.13.6
  * debian/libjoint-state-listener0d.symbols: update for 1.13.6

 -- Johannes 'josch' Schauer <josch@debian.org>  Wed, 23 May 2018 11:18:42 +0200

ros-robot-state-publisher (1.13.5-1) unstable; urgency=medium

  * Initial release (Closes: #840791)

 -- Johannes Schauer <josch@debian.org>  Thu, 05 Apr 2018 00:13:29 +0200

=== debian/control ===
Source: ros-robot-state-publisher
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
           Johannes 'josch' Schauer <josch@debian.org>
Build-Depends: debhelper (>= 11), catkin, liborocos-kdl-dev, libroscpp-dev,
		libtf2-kdl-dev, libeigen3-dev, libkdl-parser-dev, liburdfdom-headers-dev,
		libtinyxml-dev, liburdfdom-dev, libtf-dev, libpcre3-dev, librostest-dev,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/robot_state_publisher
Vcs-Git: https://salsa.debian.org/science-team/ros-robot-state-publisher.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-robot-state-publisher

Package: librobot-state-publisher-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librobot-state-publisher-solver0d (= ${binary:Version}), libjoint-state-listener0d (= ${binary:Version}), ${misc:Depends}, liborocos-kdl-dev, libtf2-kdl-dev, libkdl-parser-dev
Description: development files for Robot OS robot_state_publisher library
 This package is part of Robot OS (ROS). This package allows you to publish the
 state of a robot to tf. Once the state gets published, it is available to all
 components in the system that also use tf. The package takes the joint angles
 of the robot as input and publishes the 3D poses of the robot links, using a
 kinematic tree model of the robot.
 .
 This package contains the development files for the library.

Package: librobot-state-publisher-solver0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS robot_state_publisher solver library
 This package is part of Robot OS (ROS). This package allows you to publish the
 state of a robot to tf. Once the state gets published, it is available to all
 components in the system that also use tf. The package takes the joint angles
 of the robot as input and publishes the 3D poses of the robot links, using a
 kinematic tree model of the robot.
 .
 This package contains the library.

Package: libjoint-state-listener0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS robot_state_publisher listener library
 This package is part of Robot OS (ROS). This package allows you to publish the
 state of a robot to tf. Once the state gets published, it is available to all
 components in the system that also use tf. The package takes the joint angles
 of the robot as input and publishes the 3D poses of the robot links, using a
 kinematic tree model of the robot.
 .
 This package contains the joint-state-listener library.

Package: ros-robot-state-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Robot OS robot_state_publisher
 This package is part of Robot OS (ROS). This package allows you to publish the
 state of a robot to tf. Once the state gets published, it is available to all
 components in the system that also use tf. The package takes the joint angles
 of the robot as input and publishes the 3D poses of the robot links, using a
 kinematic tree model of the robot.
 .
 This package contains the tools.

=== debian/tests/control ===
Tests: general
Restrictions: allow-stderr
Depends: @, @builddeps@, python-rosbag, librosbag-storage-dev, xml2, python-rostest, python-roslaunch

Tests: compilation
Restrictions: allow-stderr
Depends: librobot-state-publisher-dev, build-essential, cmake, catkin

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-robot-state-publisher-$1.tar.gz%" \
    https://github.com/ros/robot_state_publisher/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-robot-state-publisher 1.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,26 @@
 cmake_minimum_required(VERSION 2.8)
 project(robot_state_publisher)
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wextra")
+include(CheckCXXCompilerFlag)
+unset(COMPILER_SUPPORTS_CXX11 CACHE)
+if(MSVC)
+  # https://docs.microsoft.com/en-us/cpp/build/reference/std-specify-language-standard-version
+  # MSVC will fail the following check since it does not have the c++11 switch
+  # however, c++11 is always enabled (the newer /std:c++14 is enabled by default)
+  check_cxx_compiler_flag(/std:c++11 COMPILER_SUPPORTS_CXX11)
+  if(COMPILER_SUPPORTS_CXX11)
+    add_compile_options(/std:c++11)
+  endif()
+
+  # MSVC does not support the Wextra flag
+  add_compile_options(/Wall)
+else()
+  check_cxx_compiler_flag(-std=c++11 COMPILER_SUPPORTS_CXX11)
+  if(COMPILER_SUPPORTS_CXX11)
+    add_compile_options(-std=c++11)
+  endif()
+  add_compile_options(-Wall -Wextra)
+endif()
 
 find_package(orocos_kdl REQUIRED)
 find_package(catkin REQUIRED
@@ -22,7 +41,7 @@
 link_directories(${orocos_kdl_LIBRARY_DIRS})
 
 add_library(${PROJECT_NAME}_solver
-  src/robot_state_publisher.cpp src/treefksolverposfull_recursive.cpp
+  src/robot_state_publisher.cpp
 )
 target_link_libraries(${PROJECT_NAME}_solver ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})
 
@@ -69,8 +88,14 @@
 
 endif()
 
-install(TARGETS ${PROJECT_NAME}_solver joint_state_listener ${PROJECT_NAME} state_publisher
+# Install library
+install(TARGETS ${PROJECT_NAME}_solver joint_state_listener
+  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
+
+# Install executable
+install(TARGETS ${PROJECT_NAME} state_publisher
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
 
 install(DIRECTORY include/${PROJECT_NAME}/

=== debian/changelog ===
ros-robot-state-publisher (1.14.0-3build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 02 Feb 2020 20:26:59 +0100

ros-robot-state-publisher (1.14.0-3) unstable; urgency=medium

  * Add versioned depends on rostest

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 Oct 2019 17:20:20 +0100

ros-robot-state-publisher (1.14.0-2) unstable; urgency=medium

  * Convert to Python 3 (Closes: #943250)
  * simplify d/watch
  * restrict d/watch to ROS1
  * Bump policy versions (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 16:38:27 +0200

ros-robot-state-publisher (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * Update copyright
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * rebase patches
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 13 Sep 2019 19:44:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: ros-robot-state-publisher
 Section: libs
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
            Johannes 'josch' Schauer <josch@debian.org>
-Build-Depends: debhelper (>= 11), catkin, liborocos-kdl-dev, libroscpp-dev,
+Build-Depends: debhelper-compat (= 12), catkin, liborocos-kdl-dev, libroscpp-dev,
 		libtf2-kdl-dev, libeigen3-dev, libkdl-parser-dev, liburdfdom-headers-dev,
 		libtinyxml-dev, liburdfdom-dev, libtf-dev, libpcre3-dev, librostest-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/robot_state_publisher
 Vcs-Git: https://salsa.debian.org/science-team/ros-robot-state-publisher.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

# since we do not run tests at compile time (see below for reasons) we also
# don't compile the tests
override_dh_auto_configure:
	dh_auto_configure -- -DCATKIN_ENABLE_TESTING=OFF

# the tests run by "make run_tests" can only be run after the package has been
# installed, so we disable running these tests at compile time
override_dh_auto_test:

=== debian/tests/control ===
Tests: general
Restrictions: allow-stderr
Depends: @, @builddeps@, python3-rosbag, librosbag-storage-dev, xml2, python3-rostest (>= 1.14.3+ds1-8), python3-roslaunch

Tests: compilation
Restrictions: allow-stderr
Depends: librobot-state-publisher-dev, build-essential, cmake, catkin

## ros-robot-state-publisher 1.15.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.0.2)
 project(robot_state_publisher)
 
 include(CheckCXXCompilerFlag)
@@ -24,16 +24,16 @@
 
 find_package(orocos_kdl REQUIRED)
 find_package(catkin REQUIRED
-  COMPONENTS roscpp rosconsole rostime tf tf2_ros tf2_kdl kdl_parser
+  COMPONENTS kdl_parser roscpp rosconsole rostime sensor_msgs tf2_ros tf2_kdl
 )
 find_package(Eigen3 REQUIRED)
 
 find_package(urdfdom_headers REQUIRED)
 
 catkin_package(
-  LIBRARIES ${PROJECT_NAME}_solver
+  LIBRARIES ${PROJECT_NAME}_solver joint_state_listener
   INCLUDE_DIRS include
-  DEPENDS roscpp rosconsole rostime tf2_ros tf2_kdl kdl_parser orocos_kdl urdfdom_headers
+  DEPENDS kdl_parser orocos_kdl roscpp rosconsole rostime sensor_msgs tf2_ros tf2_kdl urdfdom_headers
 )
 
 include_directories(SYSTEM ${EIGEN3_INCLUDE_DIRS})
@@ -48,18 +48,17 @@
 add_library(joint_state_listener src/joint_state_listener.cpp)
 target_link_libraries(joint_state_listener ${PROJECT_NAME}_solver ${orocos_kdl_LIBRARIES})
 
-add_executable(${PROJECT_NAME} src/joint_state_listener.cpp)
-target_link_libraries(${PROJECT_NAME} ${PROJECT_NAME}_solver ${orocos_kdl_LIBRARIES})
-
-# compile the same executable using the old name as well
-add_executable(state_publisher src/joint_state_listener.cpp)
-target_link_libraries(state_publisher ${PROJECT_NAME}_solver ${orocos_kdl_LIBRARIES})
+add_executable(${PROJECT_NAME} src/robot_state_publisher_node.cpp)
+target_link_libraries(${PROJECT_NAME} ${PROJECT_NAME}_solver joint_state_listener ${orocos_kdl_LIBRARIES})
 
 # Tests
 
 if (CATKIN_ENABLE_TESTING)
 
   find_package(rostest REQUIRED)
+
+  add_rostest_gtest(test_default_constructor test/test_default_constructor.launch test/test_default_constructor.cpp)
+  target_link_libraries(test_default_constructor joint_state_listener ${PROJECT_NAME}_solver)
 
   add_rostest_gtest(test_one_link ${CMAKE_CURRENT_SOURCE_DIR}/test/test_one_link.launch test/test_one_link.cpp)
   target_link_libraries(test_one_link ${catkin_LIBRARIES} ${PROJECT_NAME}_solver)
@@ -95,7 +94,7 @@
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
 
 # Install executable
-install(TARGETS ${PROJECT_NAME} state_publisher
+install(TARGETS ${PROJECT_NAME}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
 
 install(DIRECTORY include/${PROJECT_NAME}/

=== debian/changelog ===
ros-robot-state-publisher (1.15.1-4) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 18:14:56 +0100

ros-robot-state-publisher (1.15.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Jun 2020 09:07:03 +0200

ros-robot-state-publisher (1.15.1-2) experimental; urgency=medium

  * Use lo for ROS_IP

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 27 Jun 2020 10:10:17 +0200

ros-robot-state-publisher (1.15.1-1) experimental; urgency=medium

  * New upstream version 1.15.1
  * Remove Thomas from Uploaders, thanks for working on this
  * update copyright
  * rebase patches
  * bump policy and debhelper versions
  * Add patch for tests using internet
  * Drop autopkgtest doing unit testing
  * bump Soname due to ABI change

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Jun 2020 17:16:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: ros-robot-state-publisher
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
            Johannes 'josch' Schauer <josch@debian.org>
-Build-Depends: debhelper-compat (= 12), catkin, liborocos-kdl-dev, libroscpp-dev,
+Build-Depends: debhelper-compat (= 13), catkin, liborocos-kdl-dev, libroscpp-dev,
 		libtf2-kdl-dev, libeigen3-dev, libkdl-parser-dev, liburdfdom-headers-dev,
-		libtinyxml-dev, liburdfdom-dev, libtf-dev, libpcre3-dev, librostest-dev,
-Standards-Version: 4.4.1
+		libtinyxml-dev, liburdfdom-dev, libtf-dev, libpcre3-dev, librostest-dev, python3-rostest
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/robot_state_publisher
 Vcs-Git: https://salsa.debian.org/science-team/ros-robot-state-publisher.git
@@ -20,7 +18,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: librobot-state-publisher-solver0d (= ${binary:Version}), libjoint-state-listener0d (= ${binary:Version}), ${misc:Depends}, liborocos-kdl-dev, libtf2-kdl-dev, libkdl-parser-dev
+Depends: librobot-state-publisher-solver1d (= ${binary:Version}), libjoint-state-listener1d (= ${binary:Version}), ${misc:Depends}, liborocos-kdl-dev, libtf2-kdl-dev, libkdl-parser-dev, libsensor-msgs-dev
 Description: development files for Robot OS robot_state_publisher library
  This package is part of Robot OS (ROS). This package allows you to publish the
  state of a robot to tf. Once the state gets published, it is available to all
@@ -30,7 +28,7 @@
  .
  This package contains the development files for the library.
 
-Package: librobot-state-publisher-solver0d
+Package: librobot-state-publisher-solver1d
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
@@ -43,7 +41,7 @@
  .
  This package contains the library.
 
-Package: libjoint-state-listener0d
+Package: libjoint-state-listener1d
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Needed for unit tests
export ROS_HOME=$(CURDIR)/build/ros
export ROS_IP=127.0.0.1

%:
	dh $@ --builddirectory=build

override_dh_auto_test:
	make -C build run_tests
	catkin_test_results

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-robot-state-publisher-$1.tar.gz%" \
    https://github.com/ros/robot_state_publisher/tags \
    (?:.*?/)?v?(1\.\d[\d.]*)\.tar\.gz

## ros-robot-state-publisher 1.15.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -69,13 +69,8 @@
   add_rostest_gtest(test_two_links_moving_joint ${CMAKE_CURRENT_SOURCE_DIR}/test/test_two_links_moving_joint.launch test/test_two_links_moving_joint.cpp)
   target_link_libraries(test_two_links_moving_joint ${catkin_LIBRARIES} ${PROJECT_NAME}_solver)
 
-   # Download needed data file
-  catkin_download_test_data(
-    joint_states_indexed_bag
-    http://wiki.ros.org/robot_state_publisher/data?action=AttachFile&do=get&target=joint_states_indexed.bag
-    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/test
-    FILENAME joint_states_indexed.bag
-    MD5 793e0b566ebe4698265a936b92fa2bba)
+  add_rostest_gtest(test_frames_and_slashes ${CMAKE_CURRENT_SOURCE_DIR}/test/test_frames_and_slashes.launch test/test_frames_and_slashes.cpp)
+  target_link_libraries(test_frames_and_slashes ${catkin_LIBRARIES})
 
   add_rostest_gtest(test_joint_states_bag ${CMAKE_CURRENT_SOURCE_DIR}/test/test_joint_states_bag.launch test/test_joint_states_bag.cpp)
   target_link_libraries(test_joint_states_bag ${catkin_LIBRARIES} ${PROJECT_NAME}_solver)
@@ -83,7 +78,7 @@
   add_rostest_gtest(test_subclass ${CMAKE_CURRENT_SOURCE_DIR}/test/test_subclass.launch test/test_subclass.cpp)
   target_link_libraries(test_subclass ${catkin_LIBRARIES} ${PROJECT_NAME}_solver joint_state_listener)
 
-  install(FILES test/one_link.urdf test/pr2.urdf test/two_links_fixed_joint.urdf test/two_links_moving_joint.urdf DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test)
+  install(FILES test/one_link.urdf test/pr2.urdf test/two_links_fixed_joint.urdf test/two_links_moving_joint.urdf test/frames_and_slashes.urdf DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test)
 
 endif()

=== debian/changelog ===
ros-robot-state-publisher (1.15.2-5) unstable; urgency=medium

  * Added patch for log4cxx

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 02 Feb 2022 16:19:19 +0100

ros-robot-state-publisher (1.15.2-4) unstable; urgency=medium

  * Drop libpcre3-dev build dependency (not used, Closes: #999970)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 01 Jan 2022 12:11:09 +0100

ros-robot-state-publisher (1.15.2-3) unstable; urgency=medium

  * Cleanup testing

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 28 Oct 2021 08:14:16 +0200

ros-robot-state-publisher (1.15.2-2) unstable; urgency=medium

  * Skip broken rosbag tests on BE architectures

 -- Timo Röhling <roehling@debian.org>  Fri, 01 Oct 2021 16:02:35 +0200

ros-robot-state-publisher (1.15.2-1) unstable; urgency=medium

  * New upstream version 1.15.2
  * Drop 0002-Remove-test-downloading-files.patch (obsolete)
  * Add support for DEB_BUILD_OPTIONS=nocheck

 -- Timo Röhling <roehling@debian.org>  Fri, 01 Oct 2021 14:20:33 +0200

ros-robot-state-publisher (1.15.1-6) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:43:54 +0200

ros-robot-state-publisher (1.15.1-5) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 00:51:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,24 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
-           Johannes 'josch' Schauer <josch@debian.org>
-Build-Depends: debhelper-compat (= 13), catkin, liborocos-kdl-dev, libroscpp-dev,
-		libtf2-kdl-dev, libeigen3-dev, libkdl-parser-dev, liburdfdom-headers-dev,
-		libtinyxml-dev, liburdfdom-dev, libtf-dev, libpcre3-dev, librostest-dev, python3-rostest
-Standards-Version: 4.5.1
+           Johannes 'josch' Schauer <josch@debian.org>,
+           Timo Röhling <roehling@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               catkin (>= 0.8.10-1~),
+               libeigen3-dev,
+               libkdl-parser-dev,
+               liborocos-kdl-dev,
+               libroscpp-dev,
+               librostest-dev,
+               libgtest-dev,
+               libtf-dev,
+               libtf2-kdl-dev,
+               libtinyxml-dev,
+               liburdfdom-dev,
+               liburdfdom-headers-dev,
+               python3-rosbag <!nocheck>,
+               python3-rostest <!nocheck>,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/robot_state_publisher
 Vcs-Git: https://salsa.debian.org/science-team/ros-robot-state-publisher.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Needed for unit tests
export ROS_HOME=/tmp/ros
export ROS_IP=127.0.0.1

BUILD_TESTING = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_TESTING=$(BUILD_TESTING) \
		-DHOST_ENDIANNESS=$(DEB_HOST_ARCH_ENDIAN)

override_dh_auto_test:
	make -C obj-$(DEB_HOST_GNU_TYPE) run_tests
	catkin_test_results

=== debian/tests/control ===
Tests: compilation
Restrictions: allow-stderr
Depends: librobot-state-publisher-dev, build-essential, cmake, catkin

## ros-robot-state-publisher 1.15.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,23 +2,15 @@
 project(robot_state_publisher)
 
 include(CheckCXXCompilerFlag)
-unset(COMPILER_SUPPORTS_CXX11 CACHE)
+if (NOT CMAKE_CXX_STANDARD)
+    set(CMAKE_CXX_STANDARD 14)
+    set(CMAKE_CXX_STANDARD_REQUIRED ON)
+endif ()
+
 if(MSVC)
-  # https://docs.microsoft.com/en-us/cpp/build/reference/std-specify-language-standard-version
-  # MSVC will fail the following check since it does not have the c++11 switch
-  # however, c++11 is always enabled (the newer /std:c++14 is enabled by default)
-  check_cxx_compiler_flag(/std:c++11 COMPILER_SUPPORTS_CXX11)
-  if(COMPILER_SUPPORTS_CXX11)
-    add_compile_options(/std:c++11)
-  endif()
-
   # MSVC does not support the Wextra flag
   add_compile_options(/Wall)
 else()
-  check_cxx_compiler_flag(-std=c++11 COMPILER_SUPPORTS_CXX11)
-  if(COMPILER_SUPPORTS_CXX11)
-    add_compile_options(-std=c++11)
-  endif()
   add_compile_options(-Wall -Wextra)
 endif()
 
@@ -43,6 +35,7 @@
 add_library(${PROJECT_NAME}_solver
   src/robot_state_publisher.cpp
 )
+target_compile_features(${PROJECT_NAME}_solver PUBLIC cxx_std_14)
 target_link_libraries(${PROJECT_NAME}_solver ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})
 
 add_library(joint_state_listener src/joint_state_listener.cpp)

=== debian/changelog ===
ros-robot-state-publisher (1.15.3-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 1.15.3
  * Update patches.
    Merged: 0003-Drop-CXX-standards-for-log4cxx.patch
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.3
  * Migrate to dh-ros (Closes: #1125761)

 -- Timo Röhling <roehling@debian.org>  Thu, 22 Jan 2026 13:58:12 +0100

=== debian/control ===
Source: ros-robot-state-publisher
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Johannes 'josch' Schauer <josch@debian.org>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ros,
 catkin (>= 0.8.10-1~),
 libeigen3-dev,
 libgtest-dev,
 libkdl-parser-dev,
 liborocos-kdl-dev,
 libroscpp-dev,
 librostest-dev,
 libtf-dev,
 libtf2-kdl-dev,
 libtinyxml-dev,
 liburdfdom-dev,
 liburdfdom-headers-dev,
 python3-rosbag <!nocheck>,
 python3-rostest <!nocheck>,
Standards-Version: 4.7.3
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/robot_state_publisher
Vcs-Git: https://salsa.debian.org/science-team/ros-robot-state-publisher.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-robot-state-publisher

Package: librobot-state-publisher-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libjoint-state-listener1d (= ${binary:Version}),
 libkdl-parser-dev,
 liborocos-kdl-dev,
 librobot-state-publisher-solver1d (= ${binary:Version}),
 libsensor-msgs-dev,
 libtf2-kdl-dev,
 ${misc:Depends},
Description: development files for Robot OS robot_state_publisher library
 This package is part of Robot OS (ROS). This package allows you to publish the
 state of a robot to tf. Once the state gets published, it is available to all
 components in the system that also use tf. The package takes the joint angles
 of the robot as input and publishes the 3D poses of the robot links, using a
 kinematic tree model of the robot.
 .
 This package contains the development files for the library.

Package: libjoint-state-listener1d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS robot_state_publisher listener library
 This package is part of Robot OS (ROS). This package allows you to publish the
 state of a robot to tf. Once the state gets published, it is available to all
 components in the system that also use tf. The package takes the joint angles
 of the robot as input and publishes the 3D poses of the robot links, using a
 kinematic tree model of the robot.
 .
 This package contains the joint-state-listener library.

Package: librobot-state-publisher-solver1d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS robot_state_publisher solver library
 This package is part of Robot OS (ROS). This package allows you to publish the
 state of a robot to tf. Once the state gets published, it is available to all
 components in the system that also use tf. The package takes the joint angles
 of the robot as input and publishes the 3D poses of the robot links, using a
 kinematic tree model of the robot.
 .
 This package contains the library.

Package: ros-robot-state-publisher
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: Robot OS robot_state_publisher
 This package is part of Robot OS (ROS). This package allows you to publish the
 state of a robot to tf. Once the state gets published, it is available to all
 components in the system that also use tf. The package takes the joint angles
 of the robot as input and publishes the 3D poses of the robot links, using a
 kinematic tree model of the robot.
 .
 This package contains the tools.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export ROS_CONFIGURE_ARGS = -DHOST_ENDIANNESS=$(DEB_HOST_ARCH_ENDIAN)

%:
	dh $@ --buildsystem=ros

=== debian/tests/control ===
Tests:
 compilation,
Restrictions:
 allow-stderr,
Depends:
 build-essential,
 catkin,
 cmake,
 librobot-state-publisher-dev,

=== debian/watch ===
Version: 5

Template: Github
Owner: ros
Project: robot_state_publisher
Source: https://api.github.com/repos/ros/robot_state_publisher/git/matching-refs/tags/1\.
